OPT PREPROCESS

MODULE 'feelin','libraries/feelin'

PROC main()
   DEF app,win,font1,font2,font3,font4,font5

   font1 := 'Garnet/16'
   font2 := 'Helvetica/15'
   font3 := 'Diamond/12'
   font4 := 'topaz/8'
   font5 := 'Mario/12'

   IF feelinbase := OpenLibrary('feelin.library',FV_VERSION)
	  app := AppObject,
		 Child, win := WindowObject,
			FA_Window_Title, 'Feelin : Differents fonts',
			FA_Window_Open,   TRUE,

			Child, VGroup,
			   Child, HGroup, GroupFrame, FA_Frame_Title,font1, FA_Frame_Font,font5,
				  Child, button('Save',font1),
				  Child, button('Use',font1),
				  Child, button('Cancel',font1),
			   End,

			   Child, HGroup, GroupFrame, FA_Frame_Title,font2,
				  Child, button('Save',font2),
				  Child, button('Use',font2),
				  Child, button('Cancel',font2),
			   End,

			   Child, HGroup, GroupFrame, FA_Frame_Title,font3, FA_Frame_Font,font5,
				  Child, button('Save',font3),
				  Child, button('Use',font3),
				  Child, button('Cancel',font3),
			   End,

			   Child, HGroup, GroupFrame, FA_Frame_Title,font4,
				  Child, button('Save',font4),
				  Child, button('Use',font4),
				  Child, button('Cancel',font4),
			   End,
			End,
		 End,
	  End

	  IF app
		 F_DoA(win,FM_Notify,[FA_Window_CloseRequest,TRUE,app,FM_Application_Shutdown,0])
		 F_DoA(app,FM_Application_Run,NIL)
		 F_DisposeObj(app)
	  ENDIF

	  CloseLibrary(feelinbase)
   ELSE
	  WriteF('Unable to open feelin.library\n')
   ENDIF
ENDPROC

PROC button(name,font)
   RETURN   TextObject,
			FA_Font,          font,
			FA_Frame,         'FP_Button_Frame',
			FA_Back,          'FP_Button_Back',
			InputRelease,
			FA_SetMax,        FV_SetMaxH,
			FA_Text,          name,
			FA_Text_PreParse, '<align=center>',
			End
ENDPROC
