OPT PREPROCESS

MODULE 'feelin','libraries/feelin'

PROC main()
   DEF app,win,g,b,font

   font := 'Garnet/16'

   IF feelinbase := OpenLibrary('feelin.library',FV_VERSION)
	  app := AppObject,
		 FA_Application_Title,        'Balancing',
		 FA_Application_Version,      '$VER: Balancing 1.00 (23-09-02)',
		 FA_Application_Copyright,    '2000-2002, Olivier Laviale',
		 FA_Application_Author,       'Olivier Laviale - (lotan9@aol.com)',
		 FA_Application_Description,  'Show balancing groups',
		 FA_Application_Base,         'BALANCING',

		 Child, win := WindowObject,
			FA_ID,           "MAIN",
			FA_Window_Title, 'Feelin : Balancing',
			FA_Window_Open,   TRUE,

			Child, g := VGroup,
			   Child, VGroup,
				  Child, HGroup,
					 Child, colorbutton('c:FF0000,0:8','Red'),
					 Child, colorbutton('c:FFFF00,0:8','Yellow'),
					 Child, BalanceID("BAL1"),
					 Child, colorbutton('c:00FF00,0:8','Green',[FA_SetMax,FV_SetMax,NIL]),
					 Child, colorbutton('c:00FFFF,0:8','Cian'),
					 Child, colorbutton('c:0000FF,0:8','Blue'),
				  End,

				  Child, BalanceID("BAL2"),

				  Child, HGroup, FA_MaxWidth,300,
					 Child, colorbutton('c:FFFFFF,0:8','White',[FA_ColorScheme,',,,c:000000', NIL]),
					 Child, BalanceID("BAL3"),
					 Child, colorbutton('c:000000,0:8','Black',[FA_ColorScheme,',,,c:FFFFFF', NIL]),
				  End,

				  Child, colorbutton('c:FF00FF,0:8','Magenta'),
			   End,

			   Child, VGroup,
				  Child, Bar,

				  Child, b := TextObject,
					 FA_InputMode,        FV_InputMode_Toggle,
					 FA_SetMax,           FV_SetMax,
					 FA_Frame,            '0:21.06030603,03.06030603',
					 FA_Back,             '0:3,0:7',
					 FA_Text,             'T_oggle FA_Balance_QuickDraw',
					 FA_Text_PreParse,    '<pens shadow=halfshadow up=shine>',
					 FA_Text_AltPreParse, '<pens text=shine>',
					 FA_Text_VCenter,     TRUE,
				  End,
			   End,
			End,
		 End,
	  End

	  IF app
		 F_DoA(b,FM_Notify,[FA_Selected,FV_Notify_Always,g,FM_Set,4,'FA_Balance_QuickDraw',FV_Notify_Value,FA_Group_Forward,TRUE])
		 F_DoA(win,FM_Notify,[FA_Window_CloseRequest,TRUE,app,FM_Application_Shutdown,0])
		 F_DoA(app,FM_Application_Run,NIL)
		 F_DisposeObj(app)
	  ENDIF

	  CloseLibrary(feelinbase)
   ENDIF
ENDPROC

PROC colorbutton(ispec,label,tags=NIL)
   RETURN TextObject,
		  FA_Back,            ispec,
		  FA_InputMode,       FV_InputMode_Release,
		  FA_Font,            'Garnet/16',
		  FA_Text,            label,
		  FA_Text_VCenter,    TRUE,
		  FA_Text_PreParse,   '<align=center>',
		  TAG_MORE,           tags,
		  End
ENDPROC
