OPT PREPROCESS

MODULE 'feelin','libraries/feelin'

#define Image(x,i) ImageObject, FA_InputMode,i, FA_SetMax,TRUE, 'FA_Image_Spec',x, FA_Back,FI_None, End

PROC main()
   DEF app,win

   IF feelinbase := OpenLibrary('feelin.library',FV_VERSION)
	  app := AppObject,
		 FA_ColorScheme,  'c:7878A0,c:555577,c:000000',

		 Child, win := WindowObject,
			FA_Back,          'P:Feelin:Images/StripPurple.iff',
			FA_Window_Title,  'Feelin : Brushes',
			FA_Window_Open,   TRUE,

			Child, VGroup,
			   Child, ImageObject,
				  FA_SetMax,TRUE,
				 'FA_Image_Spec',  'B:Grimy.bsh',
				  FA_ColorScheme,  'c:FFDCA0,c:AA7864',
			   End,

			   Child, HGroup,
				  Child, Image('c:FF0000,c:00FF00',  FV_InputMode_Toggle),
				  Child, Image('B:ArrowUp.fb0',      FV_InputMode_Toggle),
				  Child, Image('B:ArrowUpG.fb0',     FV_InputMode_Release),
				  Child, Image('B:CheckMark.fb0',    FV_InputMode_Toggle),
				  Child, ImageObject, FA_InputMode,FV_InputMode_Toggle, FA_SetMax,TRUE,
				   FA_ColorScheme,'c:FFDCA0,c:AA7864' ,'FA_Image_Spec','B:CheckMark.fb0', End,
				  Child, Image('B:Be/CheckMark.fb0', FV_InputMode_Toggle),
				  Child, Image('B:Be/ArrowDown.fb0', FV_InputMode_Release),
			   End,
			End,
		 End,
	  End

	  IF app
		 F_DoA(win,FM_Notify,[FA_Window_CloseRequest,TRUE,app,FM_Application_Shutdown,0])
		 F_DoA(app,FM_Application_Run,NIL)
		 F_DisposeObj(app)
	  ENDIF

	  CloseLibrary(feelinbase)
   ENDIF
ENDPROC

