OPT PREPROCESS

MODULE 'feelin','libraries/feelin'

DEF feelinbase:PTR TO feelinbase

PROC main()
   DEF app,win,ligher,darker

   ligher := 's:1,s:2,s:6'
   darker := 's:2,s:4'

   IF feelinbase := OpenLibrary('feelin.library',FV_VERSION)
	  app := AppObject,
		 FA_Application_Title,        'demo_Pens',
		 FA_Application_Version,      '$VER: demo_Pens 01.00 (2003/12/15)',
		 FA_Application_Copyright,    '2000 - 2003, Olivier LAVIALE',
		 FA_Application_Author,       'Olivier LAVIALE <HaploLaMain@aol.com>',
		 FA_Application_Description,  'Pens...',
		 FA_Application_Base,         'DEMO_PENS',

		 Child, win := WindowObject,
			FA_ID,            "MAIN",
			FA_Window_Title,  'Feelin : Pens',
			FA_Window_Open,   TRUE,

			Child, HGroup, FA_Font, 'Garnet/16',
			   Child, VGroup, FA_ColorScheme, ligher,
				  Child, HGroup,
					 Child, SimpleButton('Lighter...'),
				  End,

				  Child, VGroup, FA_ColorScheme, ligher,
					 Child, HGroup,
						Child, SimpleButton('Lighter...'),
					 End,

					 Child, VGroup, FA_ColorScheme, ligher,
						Child, HGroup,
						   Child, SimpleButton('Lighter...'),
						End,

						Child, VGroup, FA_ColorScheme, ligher,
						   Child, HGroup,
							  Child, SimpleButton('Lighter...'),
						   End,
						End,
					 End,
				  End,
			   End,

			   Child, VGroup, FA_ColorScheme, darker,
				  Child, HGroup,
					 Child, SimpleButton('Darker...'),
				  End,

				  Child, VGroup, FA_ColorScheme, darker,
					 Child, HGroup,
						Child, SimpleButton('Darker...'),
					 End,

					 Child, VGroup, FA_ColorScheme, darker,
						Child, HGroup,
						   Child, SimpleButton('Darker...'),
						End,

						Child, VGroup, FA_ColorScheme, darker,
						   Child, HGroup,
							  Child, SimpleButton('Darker...'),
						   End,
						End,
					 End,
				  End,
			   End,
			End,
		 End,
	  End

	  IF app
		 F_DoA(win,FM_Notify,[FA_Window_CloseRequest,TRUE, app, FM_Application_Shutdown,0])
		 F_DoA(app,FM_Application_Run,NIL)
		 F_DisposeObj(app)
	  ELSE
		 PrintF('Unable to create application\n')
	  ENDIF

	  CloseLibrary(feelinbase)
   ENDIF
ENDPROC
