OPT PREPROCESS

MODULE 'feelin','libraries/feelin'

PROC main()
   DEF app,win

   IF feelinbase := OpenLibrary('feelin.library',FV_VERSION)
	  app := AppObject,
		 Child, win := WindowObject,
			FA_Window_Title,  'Feelin : Rasters',
			FA_Window_Open,   TRUE,

			Child, VGroup, FA_Group_VSpacing, 0,
			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_Highlight),
				  Child, rast(FI_Shine_Highlight),
				  Child, rast(FI_HalfShine_Highlight),
				  Child, rast(FI_Fill_Highlight),
				  Child, rast(FI_HalfShadow_Highlight),
				  Child, rast(FI_Shadow_Highlight),
				  Child, rast(FI_HalfDark_Highlight),
				  Child, rast(FI_Dark_Highlight),
			   End,

			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_Shine),
				  Child, rast(FI_Shine_HalfShine),
				  Child, rast(FI_Shine_Fill),
				  Child, rast(FI_Shine_HalfShadow),
				  Child, rast(FI_Shine_Shadow),
				  Child, rast(FI_Shine_HalfDark),
				  Child, rast(FI_Shine_Dark),
			   End,

			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_HalfShine),
				  Child, rast(FI_HalfShine_Fill),
				  Child, rast(FI_HalfShine_HalfShadow),
				  Child, rast(FI_HalfShine_Shadow),
				  Child, rast(FI_HalfShine_HalfDark),
				  Child, rast(FI_HalfShine_Dark),
			   End,

			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_Fill),
				  Child, rast(FI_Fill_HalfShadow),
				  Child, rast(FI_Fill_Shadow),
				  Child, rast(FI_Fill_HalfDark),
				  Child, rast(FI_Fill_Dark),
			   End,

			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_HalfShadow),
				  Child, rast(FI_HalfShadow_Shadow),
				  Child, rast(FI_HalfShadow_HalfDark),
				  Child, rast(FI_HalfShadow_Dark),
			   End,

			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_Shadow),
				  Child, rast(FI_Shadow_HalfDark),
				  Child, rast(FI_Shadow_Dark),
			   End,

			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_HalfDark),
				  Child, rast(FI_HalfDark_Dark),
			   End,

			   Child, HGroup, FA_Group_HSpacing, 0,
				  Child, rast(FI_Dark),
			   End,
			End,
		 End,
	  End

	  IF app
		 F_DoA(win,FM_Notify,[FA_Window_CloseRequest,TRUE,app,FM_Application_Shutdown,0])
		 F_DoA(app,FM_Application_Run,NIL)
		 F_DisposeObj(app)
	  ENDIF

	  CloseLibrary(feelinbase)
   ELSE
	  WriteF('Unable to open feelin.library\n')
   ENDIF
ENDPROC

PROC rast(rast)
   RETURN   AreaObject,
			FA_ChainToCycle,  FALSE,
			FA_Back,          rast,
			FA_MinWidth,      4,
			FA_MinHeight,     4,
			End
ENDPROC
