/*
    FC_Bar Header
*/

/***************************************************************************/
/*** includes **************************************************************/
/***************************************************************************/

#include <libraries/feelin.h>

#include <proto/graphics.h>
#include <proto/utility.h>
#include <proto/feelin.h>

/***************************************************************************/
/*** shared variables ******************************************************/
/***************************************************************************/

extern struct FeelinBase           *FeelinBase;
#define       UtilityBase           FeelinBase -> Utility
#define       GfxBase               FeelinBase -> Graphics

/***************************************************************************/
/*** structures ************************************************************/
/***************************************************************************/

struct LocalObjectData
{
    ULONG                           Flags;

    FAreaData                      *AreaData;

    FObject                         TD;
    STRPTR                          Title;
    STRPTR                          PreParse;

// Preferences

    STRPTR                          p_PreParse;
};

/*** Dynamics **************************************************************/

enum    {

        FA_Bar_Title,
        FA_Bar_PreParse

        };

#define FF_Bar_Vertical                         (1L << 0)
