/*
    FC_Decorator Header
*/

/*** Includes **************************************************************/

#include <libraries/feelin.h>

#include <proto/utility.h>
#include <proto/feelin.h>

/*** Shared Variables ******************************************************/

extern struct FeelinBase           *FeelinBase;
#define       SysBase               FeelinBase -> SYS
#define       DOSBase               FeelinBase -> DOS
#define       LayersBase            FeelinBase -> Layers
#define       GfxBase               FeelinBase -> Graphics
#define       IntuitionBase         FeelinBase -> Intuition
#define       UtilityBase           FeelinBase -> Utility

/*** Dynamics **************************************************************/

/*** Preferences ***********************************************************/

struct p_LocalObjectData
{
    FObject                         g_class;
    FObject                         g_font;
    FObject                         g_aprep;
    FObject                         g_iprep;
    FObject                         g_ascheme;
    FObject                         g_ischeme;
};

#define DEF_DECORATOR_CLASS                     NULL
#define DEF_DECORATOR_FONT                      NULL
#define DEF_DECORATOR_APREPARSE                 NULL
#define DEF_DECORATOR_IPREPARSE                 NULL
#define DEF_DECORATOR_ASCHEME                   NULL
#define DEF_DECORATOR_ISCHEME                   NULL

