;/*
   F_Create.rexx LIB Feelin:LIBS/Feelin/Decorator.fc 1 0
   QUIT
   ________________________________________________________________________

   (01.00) 2003/08/19

   Master class of all window decorators.

*/

#include "Private.h"

struct FeelinBase                  *FeelinBase;

///METHODS
F_METHOD(void,p_Decorator_New);
F_METHOD(void,p_Decorator_Load);
F_METHOD(void,p_Decorator_Save);
//+

F_QUERY()
{
   FeelinBase = Feelin;

   switch (Which)
   {
///ClassTags
      case FV_Query_ClassTags:
      {
         static struct TagItem Tags[] =
         {
            FA_Class_Super,      (ULONG) FC_Group,
            TAG_DONE
         };

         return Tags;
      }
//+
///PrefsTags
      case FV_Query_PrefsTags:
      {
         static struct FeelinMethodEntry Handlers[] =
         {
            (FMethod) p_Decorator_New,  NULL, FM_New,
            (FMethod) p_Decorator_Load, "FM_PreferenceGroup_Load", 0,
            (FMethod) p_Decorator_Save, "FM_PreferenceGroup_Save", 0,

             NULL
         };

         static struct TagItem Tags[] =
         {
            FA_Class_Super,            (ULONG) FC_PreferenceGroup,
            FA_Class_LODSize,          (ULONG) sizeof (struct p_LocalObjectData),
            FA_Class_MethodsTable,     (ULONG) Handlers,
         };

         return Tags;
      }
//+
   }
   return NULL;
}

