/*
    FC_Gauge Header
*/

/*** Includes **************************************************************/

#include <libraries/feelin.h>

#include <proto/graphics.h>
#include <proto/utility.h>
#include <proto/feelin.h>

/*** Shared Variables ******************************************************/

extern struct FeelinBase           *FeelinBase;
#define       GfxBase               FeelinBase -> Graphics
#define       UtilityBase           FeelinBase -> Utility

/*** Structures ************************************************************/

struct LocalObjectData
{
    FAreaData                      *AreaData;
    ULONG                           Flags;
    STRPTR                          Info;
};

/*** Dynamic ***************************************************************/

enum    {                                       // Attributes

        FA_Gauge_Simple,
        FA_Gauge_Info

        }; 

enum    {                                       // Resolved

        FA_Numeric_Value,
        FA_Numeric_Min,
        FA_Numeric_Max

        };

#define FF_Gauge_Simple                         (1L << 0)

/***************************************************************************/
/*** Preferences ***********************************************************/
/***************************************************************************/

struct p_LocalObjectData
{
    FAreaData                      *AreaData;
    FObject                         g_back,g_frame;
    FObject                         g_gauge;
    struct FeelinSignalHandler      SignalHandler;
    BYTE                            Val;
};


#define FM_Gauge_Update                         (FCCM_BASE + 1)

enum    {                                       // Preference Auto

        p_FA_Numeric_Min,
        p_FA_Numeric_Max,
        p_FM_Numeric_Increase

        };

