;/*
   F_Create.rexx LIB Feelin:LIBS/Feelin/PopColor.fc 1 0
   QUIT
   ________________________________________________________________________

   (01.00) 2003/08/10

   ...

   Locale support.

*/

#include "Private.h"
#include "_LOCALE/Table.h"

struct FeelinBase                  *FeelinBase;

///METHODS
F_METHOD(void,PopColor_New);
F_METHOD(void,PopColor_Get);
F_METHOD(void,PopColor_Set);

F_METHOD(void,PopColor_DnDDrop);
//+

///QUERY
F_QUERY()
{
   FeelinBase = Feelin;

   switch (Which)
   {
      case FV_Query_ClassTags:
      {
         static struct FeelinDynamicEntry Attributes[] =
         {
            "Spec",0, NULL
         };

         static struct FeelinDynamicEntry Resolve[] =
         {
            "FA_PreviewColor_Spec",0, NULL
         };

         static struct FeelinDynamicEntry Auto[] =
         {
            "FA_Image_Spec",0,NULL
         };

         static struct FeelinMethodEntry Handlers[] =
         {
            (FMethod) PopColor_New,       NULL, FM_New,
            (FMethod) PopColor_Get,       NULL, FM_Get,
            (FMethod) PopColor_Set,       NULL, FM_Set,

            (FMethod) PopColor_DnDDrop,   NULL, FM_DnDDrop,

             NULL
         };

         static struct TagItem Tags[] =
         {
            FA_Class_Super,            (ULONG) "PreviewColor",
            FA_Class_LODSize,          (ULONG) sizeof (struct LocalObjectData),
            FA_Class_Attributes,       (ULONG) Attributes,
            FA_Class_MethodsTable,     (ULONG) Handlers,
            FA_Class_ResolveTable,     (ULONG) Resolve,
            FA_Class_AutoResolveTable, (ULONG) Auto,

            FA_Class_CatalogTable,     (ULONG) FCC_CatalogTable,

            TAG_DONE
         };

         return Tags;
      }
   }
   return NULL;
}
//+
