OPT PREPROCESS

MODULE 'feelin','libraries/feelin'

PROC main()
   DEF app,win,
	   g,gl,gr,gc,
	   pl1,pl2,pr1,pr2,pc,pcl,pcr,tog,
	   rtable:PTR TO feelinDynamicEntry

   IF feelinbase := OpenLibrary('feelin.library',FV_VERSION)
	  app := AppObject,
		 Child, win := WindowObject,
			FA_Window_Title,  'Feelin : Notify',
			FA_Window_Open,   TRUE,

			Child, g := HGroup,
			   Child, gl  := vGauge(0,100,0),
			   Child, pl1 := vProp(0,10,111),
			   Child, pl2 := vProp(0,10,111),

			   Child, VGroup,
				  Child, pc := hProp(0,10,111),

				  Child, HGroup,
					 Child, pcl := hProp(0,10,111),
					 Child, pcr := hProp(0,10,111),
				  End,

				  Child, gc := hGauge(0,100,0),

				  Child, HGroup,
					 Child, TextObject,         FA_SetMax,TRUE, DontChain, FA_Text, 'Toggle gauges look', FA_Text_VCenter,TRUE, End,
					 Child, tog := ImageObject, FA_SetMax,TRUE, InputToggle, 'FA_Image_Spec','FP_CheckMark_Image', End,
				  End,
			   End,

			   Child, pr2 := vProp(0,10,111),
			   Child, pr1 := vProp(0,10,111),
			   Child, gr  := vGauge(0,100,0),
			End,
		 End,
	  End

	  IF app
		 rtable := ['FA_Prop_First',   0,
					'FA_Numeric_Value',0,
					'FA_Gauge_Simple', 0, NIL]

		 F_DynamicResolveTable(rtable)

		 F_DoA(pcl,FM_Notify,[F_ID(rtable,0),FV_Notify_Always,pl1,FM_Set,2,F_ID(rtable,0),FV_Notify_Value])
		 F_DoA(pcl,FM_Notify,[F_ID(rtable,0),FV_Notify_Always,pl2,FM_Set,2,F_ID(rtable,0),FV_Notify_Value])
		 F_DoA(pcr,FM_Notify,[F_ID(rtable,0),FV_Notify_Always,pr2,FM_Set,2,F_ID(rtable,0),FV_Notify_Value])
		 F_DoA(pcr,FM_Notify,[F_ID(rtable,0),FV_Notify_Always,pr1,FM_Set,2,F_ID(rtable,0),FV_Notify_Value])

		 F_DoA(pc,FM_Notify,[F_ID(rtable,0),FV_Notify_Always,gc,FM_Set,2,F_ID(rtable,1),FV_Notify_Value])
		 F_DoA(gc,FM_Notify,[F_ID(rtable,1),FV_Notify_Always,gl,FM_Set,2,F_ID(rtable,1),FV_Notify_Value])
		 F_DoA(gc,FM_Notify,[F_ID(rtable,1),FV_Notify_Always,gr,FM_Set,2,F_ID(rtable,1),FV_Notify_Value])
		 F_DoA(gl,FM_Notify,[F_ID(rtable,1),FV_Notify_Always,pcl,FM_Set,2,F_ID(rtable,0),FV_Notify_Value])
		 F_DoA(gr,FM_Notify,[F_ID(rtable,1),FV_Notify_Always,pcr,FM_Set,2,F_ID(rtable,0),FV_Notify_Value])

		 F_DoA(tog,FM_Notify,[FA_Selected,FV_Notify_Always,g,FM_Set,4,F_ID(rtable,2),FV_Notify_Value,FA_Group_Forward,TRUE])

		 F_DoA(win,FM_Notify,[FA_Window_CloseRequest,TRUE,app,FM_Application_Shutdown,0])

		 F_DoA(app,FM_Application_Run,NIL)

		 F_DisposeObj(app)
	  ENDIF

	  CloseLibrary(feelinbase)
   ELSE
	  WriteF('Unable to open feelin.library\n')
   ENDIF
ENDPROC

PROC vProp(first,visible,entries)
   RETURN PropObject,
		  FA_Frame, 'FP_Prop_Frame',
		  FA_Back,  'FP_Prop_Back',

		  FA_MinWidth, 20,
		  FA_MaxWidth, 20,

		  'FA_Prop_Entries', entries,
		  'FA_Prop_First',   first,
		  'FA_Prop_Visible', visible,

		  End
ENDPROC
PROC hProp(first,visible,entries)
   RETURN   PropObject,

			FA_Horizontal,       TRUE,
			FA_MinWidth,         50,
			FA_FixHeight,        10,

			'FA_Prop_Entries',   entries,
			'FA_Prop_First',     first,
			'FA_Prop_Visible',   visible,

			End
ENDPROC
PROC hGauge(min,max,val)
   RETURN   GaugeObject,
			GaugeFrame,

			FA_Horizontal,    TRUE,
			FA_SetMax,        FV_SetMaxH,
			FA_ChainToCycle,  FALSE,

			'FA_Numeric_Min',    min,
			'FA_Numeric_Max',    max,
			'FA_Numeric_Value',  val,

			End
ENDPROC
PROC vGauge(min,max,val)
   RETURN   GaugeObject,
			GaugeFrame,

			FA_ChainToCycle,     FALSE,
			FA_FixWidth,         20,

			'FA_Numeric_Min',    min,
			'FA_Numeric_Max',    max,
			'FA_Numeric_Value',  val,

			End
ENDPROC
