/*
    FC_AdjustPen Header
*/

/*** Includes **************************************************************/

#include <string.h>

#include <libraries/feelin.h>

#include <proto/exec.h>
#include <proto/utility.h>
#include <proto/feelin.h>

#include "_LOCALE/Enums.h"

/*** Shared Variables ******************************************************/

extern struct FeelinBase           *FeelinBase;
#define       SysBase               FeelinBase -> SYS
#define       DOSBase               FeelinBase -> DOS
#define       LayersBase            FeelinBase -> Layers
#define       GfxBase               FeelinBase -> Graphics
#define       IntuitionBase         FeelinBase -> Intuition
#define       UtilityBase           FeelinBase -> Utility

/*** Structures ************************************************************/

struct LocalObjectData
{
    FObject                       preview;
    FObject                       g_masterpage;
    FObject                       g_feelin_slider;
    FObject                       g_pen_slider;
    FObject                       g_col_r_slider;
    FObject                       g_col_g_slider;
    FObject                       g_col_b_slider;
};

enum    {

        ID_FEELIN = 1,
        ID_PEN,
        ID_COLOR

        };

/*** Dynamic ***************************************************************/

enum    {

        FA_AdjustColor_Spec

        }; // Attributes

enum    {

        FA_PreviewColor_Spec,
        FA_Numeric_Value

        }; // Auto

