;/*
   F_Create.rexx LIB Feelin:LIBS/Feelin/AdjustColor.fc 1 0
   QUIT
   ________________________________________________________________________

** (01.00) 2004/01/11

   Cette classe permet d'ajuster une couleur. Cette couleur peut  tre  une
   des  entres  du  schma de couleur de Feelin, un pinceau de la table de
   couleur de l'cran ou enfin une couleur RVB  dfinie  par  8  bits  pour
   chaque composante.

   La  classe  utilise  un   objet   FC_PreviewColor   pour   afficher   un
   prvisualisation.  Cet  objet  est  galement  utilis  pour stocker les
   informations ncessaire  la cration de la couleur.

*/

#include "Private.h"
#include "_LOCALE/Table.h"

struct FeelinBase                  *FeelinBase;

///METHODS
F_METHOD(void,AC_New);
F_METHOD(void,AC_Get);
F_METHOD(void,AC_Set);
//+

F_QUERY()
{
   FeelinBase = Feelin;

   switch (Which)
   {
      case FV_Query_ClassTags:
      {
         static struct FeelinDynamicEntry Attributes[] =
         {
            "Spec",0, NULL
         };

         static struct FeelinDynamicEntry Auto[] =
         {
            "FA_PreviewColor_Spec",0,
            "FA_Numeric_Value",0,
             NULL
         };

         static struct FeelinMethodEntry Handlers[] =
         {
            (FMethod) AC_New,        NULL, FM_New,
            (FMethod) AC_Get,        NULL, FM_Get,
            (FMethod) AC_Set,        NULL, FM_Set,

            TAG_DONE
         };

         static struct TagItem Tags[] =
         {
            FA_Class_Super,            (ULONG) FC_Group,
            FA_Class_LODSize,          (ULONG) sizeof (struct LocalObjectData),
            FA_Class_Attributes,       (ULONG) Attributes,
            FA_Class_MethodsTable,     (ULONG) Handlers,
            FA_Class_AutoResolveTable, (ULONG) Auto,
            FA_Class_CatalogTable,     (ULONG) FCC_CatalogTable,

            TAG_DONE
         };

         return Tags;
      }
   }
   return NULL;
}

