;/*
   F_Create.rexx LIB Feelin:LIBS/Feelin/Bar.fc 2 0
   Quit
*/

#include "Private.h"

struct FeelinBase                  *FeelinBase;

///METHODS
F_METHOD(void,Bar_New);
F_METHOD(void,Bar_Get);
F_METHOD(void,Bar_Setup);
F_METHOD(void,Bar_Cleanup);
F_METHOD(void,Bar_AskMinMax);
F_METHOD(void,Bar_Draw);
//+

///QUERY
F_QUERY()
{
   FeelinBase = Feelin;

   switch (Which)
   {
      case FV_Query_ClassTags:
      {
         static struct FeelinDynamicEntry Attributes[] =
         {
            "Title",0, "PreParse",0, NULL
         };

         static struct FeelinMethodEntry Handlers[] =
         {
            (FMethod) Bar_New,         NULL, FM_New,
            (FMethod) Bar_Get,         NULL, FM_Get,
            (FMethod) Bar_Setup,       NULL, FM_Setup,
            (FMethod) Bar_Cleanup,     NULL, FM_Cleanup,
            (FMethod) Bar_AskMinMax,   NULL, FM_AskMinMax,
            (FMethod) Bar_Draw,        NULL, FM_Draw,
             NULL
         };

         static struct TagItem Tags[] =
         {
            FA_Class_Super,         (ULONG)  FC_Area,
            FA_Class_LODSize,       (ULONG)  sizeof(struct LocalObjectData),
            FA_Class_Attributes,    (ULONG)  Attributes,
            FA_Class_MethodsTable,  (ULONG)  Handlers,

            TAG_DONE
         };

         return Tags;
      }
   }
   return NULL;
}
//+

