;/*
   F_Create.rexx LIB Feelin:LIBS/Feelin/PreviewColor.fc 1 0
   QUIT
   ________________________________________________________________________

 * (01.00) 2004/01/11

   Used to give a preview of a color  scheme.  This  color  scheme  can  be
   modified as wished at any time.

   The spec string is truced on the first comma, thus it is not  a  problem
   to pass 's:1,,,,'

*/

#include "Private.h"

struct FeelinBase                  *FeelinBase;

///METHODS
F_METHOD(void,PreviewColor_New);
F_METHOD(void,PreviewColor_Dispose);
F_METHOD(void,PreviewColor_Set);
F_METHOD(void,PreviewColor_Get);
F_METHOD(void,PreviewColor_Setup);
F_METHOD(void,PreviewColor_Cleanup);
F_METHOD(void,PreviewColor_AskMinMax);
F_METHOD(void,PreviewColor_Draw);
F_METHOD(void,PreviewColor_DnDQuery);
F_METHOD(void,PreviewColor_DnDDrop);
//+

F_QUERY()
{
   FeelinBase = Feelin;

   switch (Which)
   {
      case FV_Query_ClassTags:
      {
         static struct FeelinDynamicEntry Attributes[] =
         {
            "Spec",0, NULL
         };

         static struct FeelinDynamicEntry Auto[] =
         {
            "FA_Image_Spec",0, NULL
         };

         static struct FeelinMethodEntry Handlers[] =
         {
            (FMethod) PreviewColor_New,         NULL, FM_New,
            (FMethod) PreviewColor_Dispose,     NULL, FM_Dispose,
            (FMethod) PreviewColor_Set,         NULL, FM_Set,
            (FMethod) PreviewColor_Get,         NULL, FM_Get,

            (FMethod) PreviewColor_Setup,       NULL, FM_Setup,
            (FMethod) PreviewColor_Cleanup,     NULL, FM_Cleanup,
            (FMethod) PreviewColor_AskMinMax,   NULL, FM_AskMinMax,
            (FMethod) PreviewColor_Draw,        NULL, FM_Draw,

            (FMethod) PreviewColor_DnDQuery,    NULL, FM_DnDQuery,
            (FMethod) PreviewColor_DnDDrop,     NULL, FM_DnDDrop,

            NULL
         };

         static struct TagItem Tags[] =
         {
            FA_Class_Super,            (ULONG) FC_Area,
            FA_Class_LODSize,          (ULONG) sizeof (struct LocalObjectData),
            FA_Class_Attributes,       (ULONG) Attributes,
            FA_Class_MethodsTable,     (ULONG) Handlers,
            FA_Class_AutoResolveTable, (ULONG) Auto,

            TAG_DONE
         };

         return Tags;
      }
   }
   return NULL;
}

