#include "Private.h"

/*** Methods ***************************************************************/

///Shade_New
F_METHOD(ULONG,Shade_New)
{
   struct LocalObjectData *LOD = F_LOD(Class,Obj);

   LOD -> AreaData = (FAreaData *) F_Get(Obj,FA_AreaData);

   LOD -> Flags = FF_SHADE_BUFFER | FF_SHADE_ZOOM_IS_ICONIFY;

   return F_SuperDo(Class,Obj,Method,

      FA_ChainToCycle, FALSE,
      
      FA_Font,          "FP_Decorator_Font",
      FA_ColorScheme,   "FP_Decorator_AScheme",

   TAG_MORE, Msg);
}
//+
///Shade_Get
F_METHOD(void,Shade_Get)
{
   struct LocalObjectData *LOD = F_LOD(Class,Obj);
   struct TagItem         *Tags = Msg,
                           item,*tag;

   while  (tag = F_DynamicNTI(&Tags,&item,Class))
   switch (item.ti_Tag)
   {
      case FA_ColorScheme:
      {
//         F_DebugOut(0,"%s{%08lx}.Get() - FA_Scheme 0x%08lx (0x%08lx)\n",_classname(Obj),Obj,LOD -> AScheme,_pens(Obj));

         F_STORE(LOD -> AScheme);
         tag -> ti_Tag = TAG_IGNORE;
      }
      break;
   }
   F_SUPERDO();
}
//+
