/*
    FC_Text Header
*/

/***************************************************************************/
/*** includes **************************************************************/
/***************************************************************************/

#include <graphics/text.h>
#include <libraries/feelin.h>

#include <proto/exec.h>
#include <proto/utility.h>
#include <proto/feelin.h>

/***************************************************************************/
/*** shared variables ******************************************************/
/***************************************************************************/

extern struct FeelinBase           *FeelinBase;
#define       SysBase               FeelinBase -> SYS
#define       UtilityBase           FeelinBase -> Utility

/***************************************************************************/
/*** class *****************************************************************/
/***************************************************************************/

struct LocalObjectData
{
    FAreaData                      *AreaData;

    STRPTR                          Text;
    STRPTR                          Prep[2];
    
    FObject                         TextDisplay;

    UWORD                           Flags;
};

#define FF_Text_HCenter                         (1 << 0)
#define FF_Text_VCenter                         (1 << 1)
#define FF_Text_Static                          (1 << 2)
#define FF_Text_Shortcut                        (1 << 3)

