;/*
   F_Create.rexx EXE F_Servers
   QUIT
   _________________________________________________________________________

   F_Servers 1.00 (2003/02/10)

   Written by Olivier LAVIALE (HaploLaMain@aol.com)

   This tool is for debuggin purpose only  !!  It  will  print  all  servers
   currently running.
*/

#include <proto/feelin.h>
#include "Feelin:LIBS/Private.h"

#undef SysBase
#undef DOSBase

extern struct ExecBase             *SysBase;
struct in_FeelinBase               *FeelinBase;

void main(void)
{
   if (FeelinBase = (APTR) FindName(&SysBase -> LibList,"feelin.library"))
   {
      struct FeelinServerNode *node;
      APTR                     next;

      ObtainSemaphore(&FeelinBase -> Servers.Semaphore);

      next = FeelinBase -> Servers.Head;

      while (node = F_NextNode(&next))
      {
         FObject Obj = node -> Object;

         Printf("(0x%08lx) %-20.s - [1mObject[0m 0x%08lx - [1mPort[0m 0x%08lx - [1mUsed[0m %4ld - [1mSize[0m %4ld\n",node,F_Get(Obj,FA_Server_Name),Obj,node -> ServerPort,node -> UserCount,_class(Obj) -> Offset + _class(Obj) -> LODSize);

         if (SetSignal(0L,SIGBREAKF_CTRL_C) & SIGBREAKF_CTRL_C)
         {
            Printf("*** Break\n"); break;
         }
      }

      ReleaseSemaphore(&FeelinBase -> Servers.Semaphore);
   }
   else
   {
      Printf("Feelin is not running.\n");
   }
}
